# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="Simple command line tool to download datalogs from the Royaltek RBT-3000 bluetooth GPS receiver."
HOMEPAGE="http://www.harbaum.org/till/bluegps/"
SRC_URI="http://www.harbaum.org/till/bluegps/${PN}-linux-${PV}.tgz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"

RDEPEND="net-wireless/bluez-utils"
DEPEND="${RDEPEND}"

S="${WORKDIR}/${PN}-linux-${PV}"

src_unpack() {
	unpack ${A}
	cd "${S}"
	epatch "${FILESDIR}/gentoo-64bit.patch"
}

src_compile() {
	emake || die "emake failed"
}

src_install() {
	# installing files
	dobin bluegps
	doman bluegps.1
}
